[maemo-developers] SBOX_CPU=arm, not armel?

From: Patrick Ohly Patrick.Ohly at gmx.de
Date: Tue Mar 20 20:00:33 EET 2007
On Tue, 2007-03-20 at 15:46 +0100, Philippe De Swert wrote:
> Hi,
> > 
> > The target Debian architecture should get determined using the toolchain.
> > Did you install an EABI toolchain?

Just for the record, yes, I had.

> > > When I create a target and install the "cputrans" devkit, then I can
> > > select multiple versions of qemu-arm, including versions 0.7.0, 0.8.0,
> > > and arm-0.8.1-sb2 and armeb-0.8.1-sb2. Which one is the right one, if
> > > any?
> > 
> > Take the -mN if there's any.
> Also make sure NOT to install the debian-sarge devkit, and do not extract the
> C-library stuff. That hosed it for me.

That was it - I had installed both the debian-sarge devkit and the C
library. Retrying without them resulted in a target where
apt-get/dpkg-buildpackage install/build armel .debs. Thanks a lot!

I was following the 2.2 tutorial which according to the gregale release
announcement had been updated. It does not warn about installing C
library whereas the 3.0 tutorial does, as I noticed now. Neither of them
warns about installing the debian-sarge devkit; I'm not sure whether it
alone would also cause problems, but I am not going to try my luck ;-)

Bye, Patrick Ohly
Patrick.Ohly at gmx.de

More information about the maemo-developers mailing list